Name:           consoleet-utils
Version:        1.1
Release:        %mkrel 2
Summary:        Utilities for manipulating terminal fonts and colors
License:        GPLv3+ and MIT
Group:          System/Fonts/X11 bitmap
URL:            https://inai.de/projects/consoleet/
#Git-Clone:     https://codeberg.org/consoleet/consoleet-utils
Source0:        https://inai.de/files/consoleet/%{name}-%{version}.tar.zst
Source1:        https://inai.de/files/consoleet/%{name}-%{version}.tar.asc
BuildRequires:  zstd
BuildRequires:  pkgconfig(libHX) >= 4.2
Conflicts:      hxtools-fonts < 20221120-2
Provides:       palcomp = %{version}-%{release}
Provides:       vfontas = %{version}-%{release}

%description
This is a set of utilities for manipulating terminal fonts and
colors.

A key component is vfontas, which can read/write bitmap fonts from/to
a number of formats and transform the glyphs in various ways. vfontas
is able to generate outline fonts from bitmapped fonts, including a
high-quality mode that upscales based on outline rather than pixel
blocks, setting it apart from scalers like xBRZ or potrace.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%license LICENSE*
%{_bindir}/palcomp
%{_bindir}/vfontas
%{_mandir}/man1/palcomp.1*
%{_mandir}/man1/vfontas.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.1-2.mga10
+ Revision: 2217456
- Mageia 10 Mass Rebuild

* Tue Jan 17 2023 daviddavid <daviddavid> 1.1-1.mga9
+ Revision: 1934039
- initial package consoleet-utils
- it's a split from hxtools (20221119/20221120)

